{
  "name": "talent-pool-api",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "build": "tsc",
    "start": "NODE_ENV=dev tsc && node build/index.js",
    "start:test": "NODE_ENV=dev tsc && node build/index.js",
    "dev": "NODE_ENV=dev nodemon src/index.ts",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix",
    "test": "NODE_ENV=test jest --runInBand --verbose tests/unit/*",
    "test:watch": "npm run test -- --watch"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "dependencies": {
    "@aws-sdk/client-s3": "3.185.0",
    "cloudinary": "1.32.0",
    "dotenv": "16.0.2",
    "express": "4.18.1",
    "mongoose": "6.6.4",
    "mongoose-unique-validator": "3.1.0",
    "morgan": "1.10.0",
    "multer": "1.4.5-lts.1",
    "prisma": "4.4.0",
    "swagger-jsdoc": "6.0.1",
    "swagger-ui-express": "4.5.0",
    "uuid": "9.0.0"
  },
  "devDependencies": {
    "@prisma/client": "4.4.0",
    "@types/express": "4.17.13",
    "@types/jest": "29.1.2",
    "@types/mongoose": "5.11.97",
    "@types/morgan": "1.9.3",
    "@types/multer": "1.4.7",
    "@types/node": "17.0.23",
    "@types/supertest": "2.0.12",
    "@types/swagger-jsdoc": "6.0.1",
    "@types/swagger-ui-express": "4.1.3",
    "@types/uuid": "8.3.4",
    "@typescript-eslint/eslint-plugin": "5.18.0",
    "@typescript-eslint/parser": "5.18.0",
    "eslint": "8.24.0",
    "eslint-config-standard": "17.0.0",
    "eslint-plugin-import": "2.26.0",
    "eslint-plugin-n": "^15.3.0",
    "eslint-plugin-promise": "6.0.1",
    "jest": "29.1.2",
    "nodemon": "2.0.20",
    "supertest": "6.3.0",
    "ts-jest": "29.0.3",
    "ts-node-dev": "1.1.8",
    "typescript": "4.6.3"
  },
  "prisma": {
    "schema": "src/core/person/infrastructure/prisma/schema.prisma"
  }
}
